function init(hero) {

    hero.setName("Wasp");

    hero.setTier(4);

    

    hero.setHelmet("Helmet");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Leggings");

    hero.setBoots("Boots");

    

    hero.addAbilities("fiskheroes:size_manipulation", "fiskheroes:gliding_flight", "fiskheroes:electrokinesis");

    hero.addAttribute("ATTACK_DAMAGE", 0.5, 1);

    hero.addAttribute("FALL_RESISTANCE", 30.0, 0);

    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);

    hero.addAttribute("SWORD_DAMAGE", -2.0, 0);

    

    hero.addKeyBind("SHRINK", "key.shrink", 1);

    hero.addKeyBind("GROW", "key.grow", 2);

    hero.addKeyBind("MINIATURIZE_SUIT", "key.miniaturizeSuit", 3);

    

    hero.setHasProperty(hasProperty);

    hero.supplyFunction("getMinSize", 0.0625);

    hero.supplyFunction("getMaxSize", 1.0);

    hero.supplyFunction("isInstant", true);

}



function hasProperty(entity, property) {

    switch (property) {

    case "MASK_TOGGLE":

        return true;

    case "BREATHE_UNDERWATER":

        return entity.getData("fiskheroes:mask_open");

    case "BREATHE_SPACE":

        return entity.getData("fiskheroes:mask_open");

    default:

        return false;

    }

}

